知識社群登入
位置: AutoCAD開放式教學 > 討論區 > 討論
aaa
1樓
NG0713.LSP

(defun c:gear( / )
 (setq p1 (getpoint "\n get P1: "))
 (setq p2 (getpoint "\n get P2: "))

 (setq ni (getint "\n ni= "))
 (setq ni (- ni 1))

 (setq x1 (car p1) y1 (cadr p1))
 (setq x2 (car p2) y2 (cadr p2))

 (setq dx (- x2 x1) dy (- y2 y1))

 (setq x3 (+ x1 dx) y3 y1
       p3 (list x3 y3))

 (command "pline" p1 p2 p3)
 (repeat ni
   (progn
     (setq x1 x3 y1 y3
           p1 (list x1 y1)

           x2 (+ x1 dx)
           p2 (list x2 y2)

           x3 x2 y3 y1
           p3 (list x3 y3)
           )
     (command p2 p3)
     )
   )

 (command "")

 (princ)
 ); end of gear()

(princ "\n do the GEAR \n")
(princ)
; end of file